Network is provided in the request because some blockchains have different address formats for different networks

export
interface

  RosettaConstructionDeriveRequest

### Hierarchy

- RosettaConstructionDeriveRequest

## Index

### Properties

- metadata
- network_identifier
- public_key

## Properties

### Optional metadata

metadata: object

- Defined in src/generated/models/RosettaConstructionDeriveRequest.ts:50

memberof

  RosettaConstructionDeriveRequest

### network_identifier

network_identifier: NetworkIdentifier

- Defined in src/generated/models/RosettaConstructionDeriveRequest.ts:38

memberof

  RosettaConstructionDeriveRequest

### public_key

public_key: RosettaPublicKey

- Defined in src/generated/models/RosettaConstructionDeriveRequest.ts:44

memberof

  RosettaConstructionDeriveRequest

Generated using TypeDoc